Package org.pentaho.reporting.libraries.formula.lvalues

# Class ParsePosition

java.lang.Object
org.pentaho.reporting.libraries.formula.lvalues.ParsePosition

All Implemented Interfaces:
  `Serializable`

public class ParsePosition extends Object implements Serializable
Todo: Document me!

Author:
  : Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParsePosition(int startLine, int startColumn, int endLine, int endColumn)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndColumn()`
`int`
`getEndLine()`
`int`
`getStartColumn()`
`int`
`getStartLine()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParsePosition

public ParsePosition(int startLine, int startColumn, int endLine, int endColumn)

## Method Details

### getEndColumn

public int getEndColumn()

### getEndLine

public int getEndLine()

### getStartColumn

public int getStartColumn()

### getStartLine

public int getStartLine()

### toString

public String toString()

Overrides:
  `toString` in class `Object`